Linux

Volg de onderstaande procedure om je eID te gebruiken in combinatie met Linux.

eID-software

Het installeren van de eID-software voor Linux omvat twee stappen:

  • Installeer het "eID-archive" pakket, zodat de eID-pakketrepositories beschikbaar worden.
  • Installeer de "eid-viewer" en/of "eid-mw" pakketten via de normale weg voor uw distributie. Dit kan mogelijk betekenen dat u eerst een update van de indexen moet doorvoeren (bv. via "apt-get update").

Ondersteunde distributies en versies:

  • Debian 7 "Wheezy", Debian 8 "Jessie", Ubuntu 14.04 LTS "Trusty Tahr", Ubuntu 16.04 "Xenial Xerus", Ubuntu 16.10 "Yakkety Yak", Linux Mint 17.3 "Rosa", Linux Mint 18.1 "Selena": eid-archive.deb
  • Fedora 24, Fedora 25: eid-archive-fedora.rpm
  • Red Hat Enterprise Linux 6 "Santiago", Red Hat Enterprise Linux 7 "Maipo" en gelijkwaardige distributies, zoals CentOS: eid-archive-el.rpm
  • openSUSE Leap 42.1 "Malachite", openSUSE Leap 42.2: eid-archive-suse.rpm

Voor niet-ondersteunde distributies kan u de software zelf compileren met behulp van de broncode: eid-mw.tar.gz

Alle pakketten en repositories zijn digitaal ondertekend door de OpenPGP-sleutel met de volgende vingerafdruk:

B37D 9040 098C 3DEE E00F 6D08 A357 43EA 6773 D225

Wij raden aan om geen pakketten te installeren die niet met deze sleutel ondertekend zijn. Indien u het correcte "eID-archive" pakket voor uw distributie gebruikt, wordt de correcte sleutel automatisch geconfigureerd en hoeft u zich dus geen zorgen te maken.

Kaartlezer

Als het uitlezen van de kaart niet lukt, controleer dan of de juiste driver geïnstalleerd is. Bij “Veelgestelde vragen” vind je hoe je dit nakijkt.

De 32-bit middleware installeren

Bovenstaande instructies zullen de eID-middleware installeren voor de architectuur (32- of 64-bit) waarvoor het systeem geconfigureerd is. Indien u een 64-bit systeem gebruikt, maar de middleware vanuit 32-bit applicaties wenst aan te spreken, dan moet u het volgende doen:

  1. Installeer de 64-bit middleware. Wanneer u op een 64-bit systeem werkt, kan de 32-bit middleware niet zonder de 64-bit versie functioneren.
  2. (enkel voor Debian, Ubuntu, en Linux Mint): schakel “multi-arch” in, indien dit nog niet gebeurd is:
    sudo dpkg --add-architecture i386
    sudo apt-get update
  3. Installeer het pakket met daarin de 32-bit versies van de bibliotheekcomponenten van de middleware. De naam van dit pakket is, om technische redenen, afhankelijk van de distributie die u gebruikt:
    • Debian, Ubuntu, Linux Mint: installeer het pakket libbeidpkcs11-0:i386
    • Fedora, Red Hat Enterprise Linux, CentOS: installeer het pakket eid-mw-libs.i686. Merk op dat er geen 32-bit versie van Red Hat (of CentOS) 7 beschikbaar is. Om die reden is het op die distributies ook niet mogelijk om de 32-bit versie van de middleware te installeren.
    • OpenSUSE: installeer het pakket eid-mw-libs-32bit

De middleware zou nu beschikbaar moeten zijn in zowel de 32-bit als de 64-bit versie. U kan dit controleren door de applicatie about-eid-mw uit te voeren; onder het kopje “32-bit PKCS#11 locatie” staat de bestandsnaam van de middleware module, dewelke u in uw 32-bit applicatie kan opgeven.